Subject: bug#67459: Segmentation fault

From: Gabriele LENZINI <[email-masked]>
Date: Fri, 29 Dec 2023 00:25:35 +0000

Dear Stefan, all,

 I'm sorry for not having provided more timely insights. It was in part due to my incompetence with gdb, still struggling to capture any error trace that makes sense, but also because I have, tinkering around, eventually solved the issue or gone around it. It was a matter of (re) installing emacs under mingw64. Previously, I had it installed via Chocolatey (a choice followed while I was trying to install sqlite3 to use org roam, now also installed under mingw64).

 So, to install emacs the best way is to follow https://www.gnu.org/software/emacs/download.html  

Thank you for your help and regards,
Gabriele

-----Original Message-----
From: Stefan Kangas <[email-masked]> 
Sent: Monday, December 25, 2023 3:34 PM
To: Eli Zaretskii <[email-masked]>; Gabriele LENZINI <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#67459: Segmentation fault

[You don't often get email from [email-masked]. Learn why this is important at https://aka.ms/LearnAboutSenderIdentification ]

Eli Zaretskii <[email-masked]> writes:

>> From: Gabriele LENZINI <[email-masked]>
>> Date: Sun, 26 Nov 2023 14:14:30 +0000
>>
>> I am using org mode, doom emacs, on a XPS 13 Dell, Windows 11, with 
>> WSL installed, and power shell. I run emacs in windows, however.
>>
>> Emacs crashes regularly on this machine, and I tried to reinstall it, 
>> restall doom, flyspell, org but it happens the same. The strange 
>> thing is that on another dell, a desktop, it works like a charm. So 
>> it should be something that has to do with this machine architecture 
>> (Inter core 17). Maybe 32 vs 65 bit, but my emacs is a 64 bits as this machine.
>>
>> I haven't noticed any pattern in the crashing. Sometimes when I 
>> writing, even deleting a word, so I have no clue. I have only 
>> recently learned how to launch emacas with gdb and only now I manage 
>> to have this report done. Apologies for not being able to give more insights.
>
> What does "crashes" mean, exactly?  Can you describe in detail what 
> you see when Emacs crashes in your case?
>
> Also, if you run Emacs under GDB, please produce a backtrace when it 
> crashes, by typing "thread apply all bt" at the GDB prompt, and post 
> here the results.

Ping.  I think we need more information to make any progress here.